EDIT - bug #7498

ClassCastException on saving popup editor for validated name
06/19/2018 04:10 PM - Andreas Kohlbecker

Status: Closed Start date:

Priority: New Due date:

Assignee: Andreas Kohlbecker % Done: 100%
Category: cdm-vaadin Estimated time: 0:00 hour
Target version: Release 5.1

Severity: normal Found in Version:

Description

ei einer Validierung, Referenz eingebunden. Zuriick zu validiertem Namen, dort Speicherfehler.

VG

Henning

Caused by: java.lang.ClassCastException:
cannot be cast to eu.etaxonomy.vaadin.component.ReloadableLazyComboBox

at eu.etaxonomy.cdm.vaadin.view.name.TaxonNameEditorPresenter.onEntityChangeEv
ent (TaxonNameEditorPresenter. java:382)
Associated revisions

Revision c43b6a2e - 06/19/2018 04:15 PM - Andreas Kohlbecker

fix #7498 selective handling of ToOneRelatedEntityCombobox when casting to ReloadableLazyComboBox

History
#1 - 06/19/2018 04:13 PM - Andreas Kohlbecker

- Subject changed from class cast exception on saving popup editor for validated name to ClassCastException on saving popup editor for validated
name

- Status changed from New to In Progress

#2 - 06/19/2018 04:15 PM - Andreas Kohlbecker
- Status changed from In Progress to Resolved

- % Done changed from 0 to 50

Applied in changeset cdm-vaadin|c43b6a2e7af9d79dae1d83d573d528c619892e85.

#3 - 06/19/2018 04:21 PM - Andreas Kohlbecker

- Description updated

- Assignee changed from Andreas Kohlbecker to Wolf-Henning Kusber
Hallo Henning,

das Problem ist behoben. Du kannst nun testen.

Andreas

#4 - 06/19/2018 06:37 PM - Wolf-Henning Kusber

Eingabe fehlerfrei, Ticket kann geschlossen werden, Danke!

#5 - 06/20/2018 08:37 AM - Andreas Kohlbecker
- Status changed from Resolved to Closed
- Assignee changed from Wolf-Henning Kusber to Andreas Kohlbecker

- % Done changed from 50 to 100
